<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Standard Edition 2.0.5                                  |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529.5.091216-133850                                               |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002 - 2009 Esselbach Internet Solutions
 */

/**
 * function AdminManageArticles
 * A function to manage articles
 * @author Philipp Louis Esselbach
 */
function AdminManageArticles( $opts )
{
	global $database, $security, $preferences, $system, $html, $login_username, $ipaddr, $words_articles;
	$options = explode( "-", $opts );
	$options[ 0 ] = ( isset( $options[ 0 ] ) ) ? $security -> checkvar( $options[ 0 ] ) : "" ;
	$options[ 1 ] = ( isset( $options[ 1 ] ) ) ? $security -> checknum( $options[ 1 ] ) : "" ;
	$options[ 2 ] = ( isset( $options[ 2 ] ) ) ? $security -> checkvar( $options[ 2 ] ) : "" ;

	if( $options[ 0 ] )
	{
		if( ( $system -> adminhashget() != $options[ 2 ] ) and( $preferences[ 'website_subsessions_admin' ] ) )
		{
			$html -> login( $words_articles[ 'ERROR' ], $words_articles[ 'INVALID_SESSION' ], "index.php" );
			exit;
		}
	}

	if( $options[ 0 ] == "restorepage" )
	{
		$query = $database -> dbquery( "SELECT articlepageundo_pageid, articlepageundo_title, articlepageundo_text, articlepageundo_date FROM " . DB_PREFIX . "esselbach_ct_articlespagesundo WHERE articlepageundo_id = '" . $options[ 1 ] . "'" );
		list( $undo_pageid, $undo_title, $undo_text, $undo_date ) = $database -> dbrow( $query );
		$undo_title = $database -> dbescape( $undo_title );
		$query = $database -> dbquery( "SELECT a1.article_id, a1.article_html, a1.article_smilies, a1.article_code, a2.articlepage_title, a2.articlepage_rawtext FROM " . DB_PREFIX . "esselbach_ct_articles a1, " . DB_PREFIX . "esselbach_ct_articlespages a2 WHERE a2.articlepage_article = a1.article_id AND a2.articlepage_id = '" . $undo_pageid . "'" );
		list( $old_articleid, $old_html, $old_smilies, $old_blockcode, $old_title, $old_text ) = $database -> dbrow( $query );
		$old_title = $database -> dbescape( $old_title );
		$old_text = $database -> dbescape( $old_text );
		$input_reason = $words_articles[ 'RESTORED_TO_VERSION_FROM' ] . " " . $undo_date;
		$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_articlespagesundo (articlepageundo_id, articlepageundo_pageid, articlepageundo_title, articlepageundo_text, articlepageundo_date, articlepageundo_editip, articlepageundo_editadmin, articlepageundo_editreason) VALUES (NULL, '" . $undo_pageid . "', '" . $old_title . "', '" . $old_text . "', now(), '" . $ipaddr . "', '" . $login_username . "', '" . $input_reason . "')" );
		$undo_text_parsed = $undo_text;
		$undo_text = $database -> dbescape( $undo_text );

		if( !$old_html )
		{
			$undo_text_parsed = $system -> dechomp( $undo_text_parsed );
		}

		if( $old_smilies )
		{
			$undo_text_parsed = $system -> smilies( $undo_text_parsed );
		}

		if( $old_blockcode )
		{
			$undo_text_parsed = $system -> code( $undo_text_parsed );
		}

		$undo_text_parsed = $database -> dbescape( $undo_text_parsed );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_title = '" . $undo_title . "', articlepage_rawtext = '" . $undo_text . "', articlepage_text = '" . $undo_text_parsed . "', articlepage_editip = '" . $ipaddr . "', articlepage_editadmin = '" . $login_username . "' WHERE articlepage_id = '" . $options[ 1 ] . "'" );
		$html -> login( $words_articles[ 'EDIT_ARTICLE' ], $words_articles[ 'PAGE_CHANGED' ], "index.php?action=managearticles&amp;opts=editarticle-" . $old_articleid . "-" . $options[ 2 ] );
	}

	if( $options[ 0 ] == "showundopage" )
	{
		$query = $database -> dbquery( "SELECT articlepageundo_title, articlepageundo_text, articlepageundo_date, articlepageundo_editreason FROM " . DB_PREFIX . "esselbach_ct_articlespagesundo WHERE articlepageundo_id = '" . $options[ 1 ] . "'" );
		list( $articlepageundo_title, $articlepageundo_text, $articlepageundo_date, $articlepageundo_editreason ) = $database -> dbrow( $query );
		$html -> makeheader( $words_articles[ 'OLDER_PAGE_VERSION' ] );

		if( !$articlepageundo_title )
		{
			$articlepageundo_title = $words_articles[ 'UNTITLED_PAGE' ];
		}

		$html -> makepopheader( htmlspecialchars( $articlepageundo_title ), "preview" );
		echo "<table><tbody><td>" . htmlspecialchars( $articlepageundo_text ) . "</td></tbody></table>";
		$html -> makemainsub( $words_articles[ 'EDIT_REASON' ] );
		echo "<table><tbody><td>" . $articlepageundo_date . ":<br />" . htmlspecialchars( $articlepageundo_editreason ) . "</td></tbody></table>";
		$html -> makemainsub( "" );
		echo "<div style=\"text-align: center;\">[<a href=\"javascript:self.close()\">" . $words_articles[ 'CLOSE_WINDOW' ] . "</a>]</div>";
		$html -> makemainfooter();
		$html -> makefooter();
	}

	if( $options[ 0 ] == "deletearticle" )
	{
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_id = '" . $options[ 1 ] . "'" );
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_article = '" . $options[ 1 ] . "'" );
		$options[ 0 ] = "";
	}

	if( $options[ 0 ] == "editarticle" )
	{
		include( "admineditarticle.php" );
		AdminEditArticle( $options[ 1 ], "" );
	}

	if( $options[ 0 ] == "deletepage" )
	{
		$query = $database -> dbquery( "SELECT articlepage_article, articlepage_page FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_id = '" . $options[ 1 ] . "'" );
		list( $articlepage_article, $articlepage_page ) = $database -> dbrow( $query );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articles SET article_pages = article_pages - 1 WHERE article_id = '" . $articlepage_article . "'" );

		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_id = '" . $options[ 1 ] . "'" );

		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_page = '" . $options[ 1 ] . "'" );
		$query = $database -> dbquery( "SELECT articlepage_id, articlepage_page FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_article = '" . $articlepage_article . "' AND articlepage_page > '" . $articlepage_page . "'" );

		while( list( $id, $oldpage ) = $database -> dbrow( $query ) )
		{
			$newpage = $oldpage - 1;
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_page = '" . $newpage . "' WHERE articlepage_id = '" . $id . "'" );
		}

		$options[ 0 ] = "";
	}

	if( $options[ 0 ] == "downpage" )
	{
		$query = $database -> dbquery( "SELECT articlepage_article, articlepage_page FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_id = '" . $options[ 1 ] . "'" );
		list( $articlepage_article, $articlepage_page ) = $database -> dbrow( $query );
		$query = $database -> dbquery( "SELECT COUNT(articlepage_page) FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_article = '" . $articlepage_article . "'" );
		list( $articlepage_pages ) = $database -> dbrow( $query );
		$articlepage_next = $articlepage_page + 1;
		$articlepage_prev = $articlepage_page - 1;

		if( $articlepage_next > $articlepage_pages )
		{
			$html -> login( $words_articles[ 'EDIT_PAGE' ], $words_articles[ 'PAGE_ALREADY_ON_BOTTOM' ], "index.php?action=managearticles&amp;opts=editarticle-" . $articlepage_article );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_page = articlepage_page - 1 WHERE articlepage_page = '" . $articlepage_next . "' AND articlepage_article = '" . $articlepage_article . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_page = articlepage_page + 1 WHERE articlepage_id = '" . $options[ 1 ] . "'" );
			$html -> login( $words_articles[ 'EDIT_PAGE' ], $words_articles[ 'PAGE_DECREASED_POSITION' ], "index.php?action=managearticles&amp;opts=editarticle-" . $articlepage_article . "-" . $options[ 2 ] );
		}
	}

	if( $options[ 0 ] == "uppage" )
	{
		$query = $database -> dbquery( "SELECT articlepage_article, articlepage_page FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_id = '" . $options[ 1 ] . "'" );
		list( $articlepage_article, $articlepage_page ) = $database -> dbrow( $query );
		$articlepage_prev = $articlepage_page - 1;

		if( $articlepage_page == 1 )
		{
			$html -> login( $words_articles[ 'EDIT_PAGE' ], $words_articles[ 'PAGE_ALREADY_ON_TOP' ], "index.php?action=managearticles&amp;opts=editarticle-" . $articlepage_article );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_page = articlepage_page + 1 WHERE articlepage_page = '" . $articlepage_prev . "' AND articlepage_article = '" . $articlepage_article . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articlespages SET articlepage_page = articlepage_page - 1 WHERE articlepage_id = '" . $options[ 1 ] . "'" );
			$html -> login( $words_articles[ 'EDIT_PAGE' ], $words_articles[ 'PAGE_DECREASED_POSITION' ], "index.php?action=managearticles&amp;opts=editarticle-" . $articlepage_article . "-" . $options[ 2 ] );
		}
	}

	if( $options[ 0 ] == "editpage" )
	{
		include( "admineditarticlepage.php" );
		AdminEditArticlePage( $options[ 1 ], "" );
	}

	if( !$options[ 0 ] )
	{
		$security_hash = $system -> adminhashput();

		$input_search_title = ( isset( $_GET[ 'input_search_title' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_title' ] ) : "" ;
		$input_search_summary = ( isset( $_GET[ 'input_search_summary' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_summary' ] ) : "" ;
		$input_search_category = ( isset( $_GET[ 'input_search_category' ] ) ) ? $security -> checknum( $_GET[ 'input_search_category' ] ) : "" ;
		$input_search_date = ( isset( $_GET[ 'input_search_date' ] ) ) ? $security -> checknum( $_GET[ 'input_search_date' ] ) : "" ;
		$input_search_sort = ( isset( $_GET[ 'input_search_sort' ] ) ) ? $security -> checknum( $_GET[ 'input_search_sort' ] ) : "" ;
		$input_search_order = ( isset( $_GET[ 'input_search_order' ] ) ) ? $security -> checknum( $_GET[ 'input_search_order' ] ) : "" ;
		$input_search_page = ( isset( $_GET[ 'input_search_page' ] ) ) ? $security -> checknum( $_GET[ 'input_search_page' ] ) : "" ;
		$input_query = array();

		if( $input_search_title )
		{
			$input_query[ ] = "(article_title LIKE '%" . $input_search_title . "%')";
		}

		if( $input_search_summary )
		{
			$input_query[ ] = "(article_summary LIKE '%" . $input_search_summary . "%')";
		}

		if( $input_search_category )
		{
			$input_query[ ] = "(article_category = '%" . $input_search_category . "%')";
		}

		if( $input_search_date )
		{
			if( $input_search_date == 1 )
			{
				$input_search_range = 86400;
			}

			if( $input_search_date == 2 )
			{
				$input_search_range = 172800;
			}

			if( $input_search_date == 3 )
			{
				$input_search_range = 604800;
			}

			if( $input_search_date == 4 )
			{
				$input_search_range = 2677400;
			}

			if( $input_search_date == 5 )
			{
				$input_search_range = 8032200;
			}

			if( $input_search_date == 6 )
			{
				$input_search_range = 16064400;
			}

			if( $input_search_date == 7 )
			{
				$input_search_range = 32128800;
			}

			$input_search_date_db = mktime() - $input_search_range;
			$input_search_date_db = date( "Y-m-d H:i:s", $input_search_date_db );
			$input_query[ ] = "article_date > (" . $input_search_date_db . ")";
		}

		if( $input_query )
		{
			$input_full_query = "WHERE " . join( " AND ", $input_query );
		}
		else
		{
			$input_full_query = "";
		}

		if( $input_search_sort )
		{
			if( $input_search_sort == 1 )
			{
				$input_sort_query = "article_title";
			}

			if( $input_search_sort == 2 )
			{
				$input_sort_query = "article_summary";
			}

			if( $input_search_sort == 3 )
			{
				$input_sort_query = "article_pages";
			}

			if( $input_search_sort == 4 )
			{
				$input_sort_query = "article_category";
			}

			if( $input_search_sort == 5 )
			{
				$input_sort_query = "article_website";
			}

			if( $input_search_sort == 6 )
			{
				$input_sort_query = "article_author";
			}

			if( $input_search_sort == 7 )
			{
				$input_sort_query = "article_date";
			}

			if( $input_search_sort == 8 )
			{
				$input_sort_query = "article_status";
			}

			if( $input_search_sort == 9 )
			{
				$input_sort_query = "article_views";
			}

			if( $input_search_sort == 10 )
			{
				$input_sort_query = "article_activity";
			}
		}
		else
		{
			$input_sort_query = "article_id";
		}

		if( !$input_search_order )
		{
			$input_sort_query .= " DESC";
		}

		$html -> makeheader( $words_articles[ 'MANAGE_ARTICLES' ] );
		$html -> deleteinit( $words_articles[ 'ARE_YOU_SURE' ] );
		$html -> checkinit();
		$html -> makesubheader();
		$html -> makegroupmenu( "articles" );
		$html -> makeformheader( $words_articles[ 'MANAGE_ARTICLES' ], "articles", "articlesearch", "get" );
		echo $words_articles[ 'SEARCH_FORM_ARTICLES' ] . "<br />";
		echo "<strong>" . $words_articles[ 'ARTICLE_TITLE' ] . ":</strong> <input name=\"input_search_title\" size=\"32\" value=\"" . stripslashes( htmlspecialchars( $input_search_title ) ) . "\" /> ";
		echo "<strong>" . $words_articles[ 'SUMMARY' ] . ":</strong> <input name=\"input_search_summary\" size=\"32\" value=\"" . stripslashes( htmlspecialchars( $input_search_summary ) ) . "\" /> ";
		echo "<input type=\"hidden\" name=\"action\" value=\"managearticles\" /><input type=\"submit\" value=\"" . $words_articles[ 'GO' ] . "\" /><br />";
		echo "<strong>" . $words_articles[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_search_category\">";
		$category_name = array();
		$category_name[ 0 ] = $words_articles[ 'NONE' ];
		echo "<option value=\"0\">" . $words_articles[ 'NONE' ] . "</option>";
		$query = $database -> dbquery( "SELECT articlecat_id, articlecat_name FROM " . DB_PREFIX . "esselbach_ct_articlescats" );

		if( $database -> dbrows( $query ) )
		{
			while( list( $articlecat_id, $articlecat_name ) = $database -> dbrow( $query ) )
			{
				$category_name[ $articlecat_id ] = $articlecat_name;

				if( $articlecat_id == $input_search_category )
				{
					echo "<option selected=\"selected\" value=\"" . $articlecat_id . "\">" . htmlspecialchars( $articlecat_name ) . "</option>";
				}
				else
				{
					echo "<option value=\"" . $articlecat_id . "\">" . htmlspecialchars( $articlecat_name ) . "</option>";
				}
			}
		}

		echo "</select> ";
		( !$input_search_date ) ? $range_all = "selected=\"selected\" " : $range_all = "" ;
		( $input_search_date == 1 ) ? $range_today = "selected=\"selected\" " : $range_today = "" ;
		( $input_search_date == 2 ) ? $range_yesterday = "selected=\"selected\" " : $range_yesterday = "" ;
		( $input_search_date == 3 ) ? $range_lastweek = "selected=\"selected\" " : $range_lastweek = "" ;
		( $input_search_date == 4 ) ? $range_lastmonth = "selected=\"selected\" " : $range_lastmonth = "" ;
		( $input_search_date == 5 ) ? $range_last3months = "selected=\"selected\" " : $range_last3months = "" ;
		( $input_search_date == 6 ) ? $range_last6months = "selected=\"selected\" " : $range_last6months = "" ;
		( $input_search_date == 7 ) ? $range_lastyear = "selected=\"selected\" " : $range_lastyear = "" ;
		echo "<strong>" . $words_articles[ 'DATE_RANGE' ] . ":</strong> <select size=\"1\" name=\"input_search_date\">";
		echo "<option " . $range_all . "value=\"0\">" . $words_articles[ 'ALL' ] . "</option>";
		echo "<option " . $range_today . "value=\"1\">" . $words_articles[ 'TODAY' ] . "</option>";
		echo "<option " . $range_yesterday . "value=\"2\">" . $words_articles[ 'YESTERDAY' ] . "</option>";
		echo "<option " . $range_lastweek . "value=\"3\">" . $words_articles[ 'LASTWEEK' ] . "</option>";
		echo "<option " . $range_lastmonth . "value=\"4\">" . $words_articles[ 'LASTMONTH' ] . "</option>";
		echo "<option " . $range_last3months . "value=\"5\">" . $words_articles[ 'LAST3MONTHS' ] . "</option>";
		echo "<option " . $range_last6months . "value=\"6\">" . $words_articles[ 'LAST6MONTHS' ] . "</option>";
		echo "<option " . $range_lastyear . "value=\"7\">" . $words_articles[ 'LASTYEAR' ] . "</option>";
		echo "</select> ";
		( !$input_search_sort ) ? $sort_id = "selected=\"selected\" " : $sort_id = "" ;
		( $input_search_sort == 1 ) ? $sort_article_title = "selected=\"selected\" " : $sort_article_title = "" ;
		( $input_search_sort == 2 ) ? $sort_summary = "selected=\"selected\" " : $sort_summary = "" ;
		( $input_search_sort == 3 ) ? $sort_pages = "selected=\"selected\" " : $sort_pages = "" ;
		( $input_search_sort == 4 ) ? $sort_category = "selected=\"selected\" " : $sort_category = "" ;
		( $input_search_sort == 5 ) ? $sort_website = "selected=\"selected\" " : $sort_website = "" ;
		( $input_search_sort == 6 ) ? $sort_author = "selected=\"selected\" " : $sort_author = "" ;
		( $input_search_sort == 7 ) ? $sort_date = "selected=\"selected\" " : $sort_date = "" ;
		( $input_search_sort == 8 ) ? $sort_status = "selected=\"selected\" " : $sort_status = "" ;
		( $input_search_sort == 9 ) ? $sort_views = "selected=\"selected\" " : $sort_views = "" ;
		( $input_search_sort == 10 ) ? $sort_last_activity = "selected=\"selected\" " : $sort_last_activity = "" ;
		echo "<strong>" . $words_articles[ 'SORT_BY' ] . ":</strong> <select size=\"1\" name=\"input_search_sort\">";
		echo "<option " . $sort_id . "value=\"0\">" . $words_articles[ 'ID' ] . "</option>";
		echo "<option " . $sort_article_title . "value=\"1\">" . $words_articles[ 'ARTICLE_TITLE' ] . "</option>";
		echo "<option " . $sort_summary . "value=\"2\">" . $words_articles[ 'SUMMARY' ] . "</option>";
		echo "<option " . $sort_pages . "value=\"3\">" . $words_articles[ 'PAGES' ] . "</option>";
		echo "<option " . $sort_category . "value=\"4\">" . $words_articles[ 'CATEGORY' ] . "</option>";
		echo "<option " . $sort_website . "value=\"5\">" . $words_articles[ 'WEBSITE' ] . "</option>";
		echo "<option " . $sort_author . "value=\"6\">" . $words_articles[ 'AUTHOR' ] . "</option>";
		echo "<option " . $sort_date . "value=\"7\">" . $words_articles[ 'DATE' ] . "</option>";
		echo "<option " . $sort_status . "value=\"8\">" . $words_articles[ 'STATUS' ] . "</option>";
		echo "<option " . $sort_views . "value=\"9\">" . $words_articles[ 'VIEWS' ] . "</option>";
		echo "<option " . $sort_last_activity . "value=\"10\">" . $words_articles[ 'LAST_ACTIVITY' ] . "</option>";
		echo "</select> ";
		( !$input_search_order ) ? $sort_descending = "selected=\"selected\" " : $sort_descending = "" ;
		( $input_search_order == 1 ) ? $sort_ascending = "selected=\"selected\" " : $sort_ascending = "" ;
		echo "<select size=\"1\" name=\"input_search_order\">";
		echo "<option " . $sort_descending . "value=\"0\">" . $words_articles[ 'DESCENDING' ] . "</option>";
		echo "<option " . $sort_ascending . "value=\"1\">" . $words_articles[ 'ASCENDING' ] . "</option>";
		echo "</select> ";
		$query = $database -> dbquery( "SELECT COUNT(article_id) FROM " . DB_PREFIX . "esselbach_ct_articles " . $input_full_query . " ORDER BY " . $input_sort_query );
		list( $all_pages ) = $database -> dbrow( $query );

		if( $input_search_page )
		{
			$input_search_dbpage = $input_search_page - 1;
			$page = $input_search_dbpage * 50;
		}
		else
		{
			$page = 0;
		}

		$all_pages_rounded = ceil( $all_pages / 50 );
		$query = $database -> dbquery( "SELECT article_website, article_title, article_description, article_pages, article_id, article_author, article_views, article_activity FROM " . DB_PREFIX . "esselbach_ct_articles " . $input_full_query . " ORDER BY " . $input_sort_query . " LIMIT " . $page . ",50" );
		$pages = $database -> dbrows( $query );

		if( $pages )
		{
			$html -> makeformsubfooter();

			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_articles[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=managearticles&amp;input_search_title=" . htmlspecialchars( $input_search_title ) . "&amp;input_search_summary=" . htmlspecialchars( $input_search_summary ) . "&amp;input_search_category=" . $input_search_category . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}

			$html -> table5header( $words_articles[ 'ARTICLE_SITEID' ], $words_articles[ 'ARTICLE_TITLE' ], "<div style=\"text-align: center;\">" . $words_articles[ 'VIEWS' ] . "</div>", $words_articles[ 'AUTHOR' ] );

			while( list( $article_website, $article_title, $article_description, $article_pages, $article_id, $article_author, $article_views, $article_activity ) = $database -> dbrow( $query ) )
			{
				$article_views = number_format( $article_views );
				( $article_pages > 1 )? $pages_html = " (" . $article_pages . " " . $words_articles[ '_PAGES' ] . ")" : $pages_html = "" ;
				$html -> table5middle( $article_id . " / " . $article_website, "<div title = \"" . htmlspecialchars( $article_description ) . "\">" . htmlspecialchars( $article_title ) . $pages_html . "</div>", "<div style=\"text-align: center;\" title=\"" . $article_views . " " . $words_articles[ 'VIEWS' ] . " / " . $words_articles[ 'LAST_ACTIVITY' ] . ": " . $article_activity . "\">" . $article_views . "</div>", $article_author, "managearticles&amp;opts=editarticle-" . $article_id . "-" . $security_hash, "managearticles&amp;opts=deletearticle-" . $article_id . "-" . $security_hash );
			}

			$html -> table5col( "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"articlesoptions\" /><select size=\"1\" name=\"input_option\"><optgroup label=\"" . $words_articles[ 'ARTICLES_OPTIONS' ] . "\"><option value=\"0\">" . $words_articles[ 'DELETE_CHECKED_ARTICLES' ] . "</option></optgroup></select><input type=\"submit\" value=\"" . $words_articles[ 'GO' ] . "\" />" );
			$html -> maketablefooter();
			$html -> makeformsubfooter();

			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_articles[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=managearticles&amp;input_search_title=" . htmlspecialchars( $input_search_title ) . "&amp;input_search_summary=" . htmlspecialchars( $input_search_summary ) . "&amp;input_search_category=" . $input_search_category . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}
		}
		else
		{
			echo "<br />" . $words_articles[ 'NO_MATCHES' ] . "</div>";
		}

		echo "</div>";
	}
}
?>